package emps.obiektowo;

import java.util.List;

public class P5_MinMax_v3 {
	// Program znajduje pracownika, który zarabia najwięcej, i pracownika, który zarabia najmniej,
	// i wypisuje ich dane (co najmniej: imię, nazwisko, pensję).

	// W tej wersji od razu zapamiętujemy kto to jest.
	// Program jest krótszy, a dane przeglądamy tylko raz.
	
	public static void main(String[] args) {
		List<Employee> emps = ObslugaCSV.wczytaj("emps.csv");
		
		Employee bogaty = null;
		Employee biedny = null;
		
		for(Employee emp : emps) {
			if(bogaty == null || emp.getSalary() > bogaty.getSalary()) {
				bogaty = emp;
			}
			if(biedny == null || emp.getSalary() < biedny.getSalary()) {
				biedny = emp;
			}
		}
		
		System.out.println("Najbogatszy: " + bogaty.getFirstName() + " " + bogaty.getLastName() + ", zarabia " + bogaty.getSalary());
		System.out.println("Najbiedniejszy: " + biedny.getFirstName()  + " " + biedny.getLastName() + ", zarabia " + biedny.getSalary());
	}

}
